Name:           perl-LWP-Protocol-http10
Version:        6.03
Release:        4%{?dist}
Summary:        Legacy HTTP/1.0 support for LWP
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/LWP-Protocol-http10/
Source0:        http://www.cpan.org/authors/id/G/GA/GAAS/LWP-Protocol-http10-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Response) >= 6
BuildRequires:  perl(HTTP::Status) >= 6
BuildRequires:  perl(LWP::Protocol) >= 6

Requires:       perl(HTTP::Response) >= 6
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(HTTP::Response\\)
Requires:       perl(HTTP::Status) >= 6
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(HTTP::Status\\)
Requires:       perl(LWP::Protocol) >= 6
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(LWP::Protocol\\)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# Make optional dependency mandatory
Requires:       perl(URI::Escape)

%description
The LWP::Protocol::http10 module provides support for using HTTP/1.0
protocol with LWP. To use it you need to call LWP::Protocol::implementor()
to override the standard handler for http URLs.

%prep
%setup -q -n LWP-Protocol-http10-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.03-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.03-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 6.03-2
- Perl 5.16 rebuild

* Mon Mar 05 2012 Ralf Corsépius <corsepiu@fedoraproject.org> 6.03-1
- Upstream update.

* Mon Jan 16 2012 Ralf Corsépius <corsepiu@fedoraproject.org> 6.02-3
- Rework filters.

* Fri Jun 19 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 6.02-2
- Reflect feedback from package review.

* Mon Apr 18 2011 Ralf Corsépius <corsepiu@fedoraproject.org> 6.02-1
- Specfile autogenerated by cpanspec 1.78.
